<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
  <title>fwTrending: Page Config Panel</title>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
</head>
<body>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr valign="top">
      <td bgcolor="#00cc00" width="22%"><strong>Panel Name</strong></td>
      <td colspan="2" width="78%">
      <p>fwTrendingPlotsPage.pnl</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Introduction<br>
      </strong></td>
      <td colspan="2">
      <p>This panel is used to create or modify Trending
        Pages. A Trending Page is a collection of Trending Plots. It is possible
        to add up to 6 plots on a page (2 columns and 3 rows).</p>
      <p>The user may only add pre-existing plots to a page.</p>
      </td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Instructions</strong></td>
      <td colspan="2"><p>When creating a new page, you should first enter a Page
          Name and Page Title in the corresponding fields. The Page Name will
          be used as the data point name of the page configuration. This is the
          name used to refer to the page configuration in CTRL scripts. The Page
          Title is intended to be a more descriptive text which explains the
          data shown or the purpose of the page. The Page Title can be useful
          to help identify which page is which when browsing through lists of
          pages.</p>
        <p>Then, select the desired
              number of Columns and Rows of plots you wish to display on your
          page. Once you have done this, you should see the desired number of
          boxes
              appear in the space below.</p>
        <p>To assign a plot to a position on the page, click the button marked
          &quot;...&quot; in the box that is in the relevant position. This will load a
          panel which displays all the current plots which you can add to this
          page. Once you have selected the plot to use, you will see a symbolic
          representation of the plot appear in the chosen position on the page.
          This symbol shows the name of the plot as well as the foreground and
        background colours of the plot.</p>
        <p>You can change a plot for another plot by clicking on the relevant
          &quot;...&quot; button. Also, if a plot requires template parameters, you will
          be given
          an
          opportunity
          to set these when adding the plot to the page. To modify the values
          set for the template parameters, you can click on the &quot;{a}&quot; button.
          This button is only available for plots which actually use template
          parameters.</p>
        <p>You do not need to fill every position in the page with a plot. Once
          you have filled all the required positions on the page, you should
          save
          the
          page by
          clicking
          OK or Apply.
          Clicking
          Cancel
          will
          close the
          panel without saving the page. The Save as... button can be used to
          save the  displayed page configuration to another data point.</p>
        <p>If you are modifying an existing page, you will have all the options
        as above except that the Page Name will not be modifyable.</p>
        <p>If you wish, you can use a template parameter in the Page Title. A template
      parameter is defined by placing the variable name between curly brackets,
        { }. So the Plot Title could be  HVChannels{myVariable}. Where {myVariable}
        is substituted by another
      value at a later time.</p></td>
    </tr>
    <tr valign="top">
      <td bgcolor="#00cc00"><strong>Restrictions</strong></td>
      <td colspan="2">The Page Name is used as the data point name of the Page.
        As this is the case, it must not include any characters not allowed in
      PVSS data point names.</td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<table width="652" height="552" border="0" align="center">
  <tbody>
    <tr>
      <td height="546">
        <div align="center"><img
 src="fwTrendingPlotsPage.jpg" alt="Panel screenshot" width="646" height="552" style="width: 646px; height: 552px;"></div>
      </td>
    </tr>
  </tbody>
</table>
<p>&nbsp;</p>
<p>&nbsp;</p>
<table border="1" width="95%">
  <tbody>
    <tr bgcolor="#00cc00">
      <td colspan="3"><strong>Dollar Parameters</strong></td>
    </tr>
    <tr bgcolor="#00cc00">
      <td width="23%"><strong>Name</strong></td>
      <td width="62%"><strong>Description</strong></td>
      <td width="15%">&nbsp;</td>
    </tr>
    <tr>
      <td>$sDpName</td>
      <td><p>Data point name of the Page to edit.</p>
        <p>If creating a new page, set this value to an empty string.<br>
        </p></td>
      <td>Required</td>
    </tr>
    <tr>
      <td>$Command</td>
      <td><p>Mode in which the panel is to run. The keyword to pass should be
          one of the following:</p>
      <p>&quot;new&quot; - for creating a new page data point. Pressing OK or Apply
        saves the new configuration to the given data point. The page dp name
        field is editable.</p>
      <p>&quot;edit&quot; - for editing an existing page data point. Pressing OK or Apply
        saves the new configuration to the given data point. The page dp name
        field is not editable.</p>
      <p>&quot;onlineedit&quot; - used from the page display panel to modify the configuration
        without modifying the data point. Pressing OK returns the new page configuration
        to the panel from which it was opened.  The page dp name
        field is not editable.</p>      <p>If this $-parameter is not defined, the panel runs in &quot;edit&quot; mode, unless
      $sDpName is blank in which case the mode is &quot;new&quot;.</p></td>
      <td>Optional<br>
      </td>
    </tr>
    <tr>
      <td>$dsShowButtons</td>
      <td><p>Controls which of the OK, Apply and Cancel buttons are shown at runtime.</p>
      <p>The keywords for the buttons are &quot;ok&quot;, &quot;apply&quot; and &quot;cancel&quot;. The value
        passed in the $-parameter should be a dyn_string containing a list of
        the buttons to show, e.g. makeDynString(&quot;ok&quot;,
        &quot;cancel&quot;).
        The keywords are
        case
        insensitive.</p>
      <p>If this
      $-parameter is not defined, all three buttons are shown.</p></td>
      <td><p>Optional</p>
      <p>(except when using addSymbol() - see below)</p></td>
    </tr>
  </tbody>
</table>
<p><strong>Note:</strong> The optional $-parameters mentioned above <strong>must</strong> be
  passed if you are displaying this panel with the addSymbol() function. If you
  do not
  pass
  all
  $-parameters when using addSymbol(), errors will be given in your porject log
  and the functionality of the panel may not be as expected.<br>
</p>
</body>
</html>
